from django.apps import AppConfig
from django.db.models.signals import pre_save, post_save


class RegistrationConfig(AppConfig):
    name = 'registration'

    def ready(self):
        from registration.signals import set_username, send_email_link, create_admin_registration
        pre_save.connect(set_username, "auth.User")
        pre_save.connect(send_email_link, "auth.User")
        post_save.connect(create_admin_registration, "auth.User")
