from django.urls import path

from .views import SignupView, UserValidationEmailSentView, UserResendValidationEmailView, UserValidateView

app_name = "registration"

urlpatterns = [
    path("signup/", SignupView.as_view(), name="signup"),
    path('validate_email/sent/', UserValidationEmailSentView.as_view(), name='email_validation_sent'),
    path('validate_email/resend/<int:pk>/', UserResendValidationEmailView.as_view(),
         name='email_validation_resend'),
    path('validate_email/<uidb64>/<token>/', UserValidateView.as_view(), name='email_validation'),
]
